Package org.opensaml.core.metrics.impl

# Class DisabledMeter

java.lang.Object
com.codahale.metrics.Meter
org.opensaml.core.metrics.impl.DisabledMeter

All Implemented Interfaces:
  `com.codahale.metrics.Counting`, `com.codahale.metrics.Metered`, `com.codahale.metrics.Metric`, `DisabledMetric`

public class DisabledMeter extends com.codahale.metrics.Meter implements DisabledMetric
A stubbed out meter implementation.

Since:
  3.3.0

## Constructor Summary

Constructors
Constructor
Description
`DisabledMeter()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getCount()`
`double`
`getFifteenMinuteRate()`
`double`
`getFiveMinuteRate()`
`double`
`getMeanRate()`
`double`
`getOneMinuteRate()`
`void`
`mark()`
`void`
`mark(long n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisabledMeter

public DisabledMeter()

## Method Details

### mark

public void mark()

Overrides:
  `mark` in class `com.codahale.metrics.Meter`

### mark

public void mark(long n)

Overrides:
  `mark` in class `com.codahale.metrics.Meter`

### getCount

public long getCount()

Specified by:
  `getCount` in interface `com.codahale.metrics.Counting`
Specified by:
  `getCount` in interface `com.codahale.metrics.Metered`
Overrides:
  `getCount` in class `com.codahale.metrics.Meter`

### getFifteenMinuteRate

public double getFifteenMinuteRate()

Specified by:
  `getFifteenMinuteRate` in interface `com.codahale.metrics.Metered`
Overrides:
  `getFifteenMinuteRate` in class `com.codahale.metrics.Meter`

### getFiveMinuteRate

public double getFiveMinuteRate()

Specified by:
  `getFiveMinuteRate` in interface `com.codahale.metrics.Metered`
Overrides:
  `getFiveMinuteRate` in class `com.codahale.metrics.Meter`

### getMeanRate

public double getMeanRate()

Specified by:
  `getMeanRate` in interface `com.codahale.metrics.Metered`
Overrides:
  `getMeanRate` in class `com.codahale.metrics.Meter`

### getOneMinuteRate

public double getOneMinuteRate()

Specified by:
  `getOneMinuteRate` in interface `com.codahale.metrics.Metered`
Overrides:
  `getOneMinuteRate` in class `com.codahale.metrics.Meter`